Skip to main content
GET
/
public
/
v1
/
ads
/
campaigns
/
{campaignId}
/
posts
List posts in a campaign
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/ads/campaigns/{campaignId}/posts \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 987654,
    "name": "Webinar promo",
    "description": "<string>",
    "imageUrl": "<string>",
    "previewUrl": "<string>",
    "status": "ACTIVE",
    "campaignId": 620123456,
    "campaignName": "Q2 Demand Gen",
    "campaignType": "SPONSORED_UPDATES",
    "shareUrn": "<string>",
    "creativeUrn": "<string>",
    "activityUrn": "<string>"
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Path Parameters

campaignId
integer<int64>
required

Response

OK

id
integer<int64>

Post id.

Example:

987654

name
string

Post name.

Example:

"Webinar promo"

description
string

Post body / description.

imageUrl
string

Creative image URL.

previewUrl
string

Preview URL.

status
string

Post status.

Example:

"ACTIVE"

campaignId
integer<int64>

Owning campaign id.

Example:

620123456

campaignName
string

Owning campaign name.

Example:

"Q2 Demand Gen"

campaignType
string

Owning campaign type.

Example:

"SPONSORED_UPDATES"

shareUrn
string

LinkedIn share URN (to correlate with LinkedIn's own API).

creativeUrn
string

LinkedIn creative URN.

activityUrn
string

LinkedIn activity URN.